Get a customer
curl --request GET \
--url https://api-prod.blaaiz.com/api/external/customer/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-prod.blaaiz.com/api/external/customer/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-prod.blaaiz.com/api/external/customer/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://api-prod.blaaiz.com/api/external/customer/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-prod.blaaiz.com/api/external/customer/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"message": "Customer retrieved successfully",
"data": {
"id": "9d4c4ec5-59ea-4130-bf8a-6a5edec401ee",
"business_id": "9d4c4ec5-572d-49de-a362-f01ed09f2b1b",
"type": "individual",
"first_name": "John",
"last_name": "Doe",
"business_name": null,
"email": "john.doe@example.com",
"phone": "+2348012345678",
"country": "NG",
"id_type": "passport",
"id_number": "A12345678",
"tin": null,
"verification_status": "VERIFIED",
"enhanced_due_diligence": false,
"kyc_data": {
"id": "9d4c4ec5-59ea-4130-bf8a-6a5edec40200",
"dob": "1990-01-15",
"street": "123 Main Street",
"city": "Lagos",
"state": "Lagos",
"zip_code": "100001",
"operating_street": null,
"operating_city": null,
"operating_state": null,
"operating_zip_code": null,
"id_expiry_date": "2030-01-15",
"id_issue_date": "2020-01-15"
},
"created_at": "2024-01-15T10:30:00.000000Z",
"updated_at": "2024-01-15T10:40:00.000000Z"
}
}Customer
Get a customer
Retrieve customer details by ID. Required scope: customer:read.
GET
/
api
/
external
/
customer
/
{id}
Get a customer
Was this page helpful?
⌘I

